Bug 589105 - up2date traceback on s390, s390x at dmi_registry['bios']['vendor']
Summary: up2date traceback on s390, s390x at dmi_registry['bios']['vendor']
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.9
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 12:24 UTC by Petr Sklenar
Modified: 2010-05-11 08:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 08:20:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0407 0 normal SHIPPED_LIVE up2date bug fix update 2010-05-11 08:20:40 UTC

Description Petr Sklenar 2010-05-05 12:24:35 UTC
Description of problem:
I cannot register to hosted with the latest up2date on s390x and s390. There is traceback at get_virt_info_smbios
    smbios['smbios.bios.vendor'] = dmi_registry['bios']['vendor']

Version-Release number of selected component (if applicable):
up2date-4.5.5-14.el3.s390x from errata 2010:9545

How reproducible:
always on s390x,

Steps to Reproduce:
1. install latest up2date 
2. rhnreg_ks to some hosted
  
Actual results:

.test.[root@s390x-3as tps]# rhnreg_ks --username=XXXXX --password=XXXX --server=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC --force --profilename=`hostname`-flex-test
An error has occurred:
exceptions.KeyError
.test.[root@s390x-3as tps]# tail -n 30 /var/log/up2date 
[Wed May  5 07:47:08 2010] up2date deleting /var/spool/up2date/tetex-xdvi-1.0.7-67.19.s390x.rpm
[Wed May  5 07:47:41 2010] up2date updating login info
[Wed May  5 07:47:41 2010] up2date logging into up2date server
[Wed May  5 07:47:42 2010] up2date successfully retrieved authentication token from up2date server
[Wed May  5 07:47:42 2010] up2date Updating package profile
[Wed May  5 07:48:03 2010] up2date updating login info
[Wed May  5 07:48:03 2010] up2date logging into up2date server
[Wed May  5 07:48:04 2010] up2date successfully retrieved authentication token from up2date server
[Wed May  5 08:08:06 2010] up2date updating login info
[Wed May  5 08:08:06 2010] up2date logging into up2date server
[Wed May  5 08:08:06 2010] up2date successfully retrieved authentication token from up2date server
[Wed May  5 08:16:28 2010] up2date Updating package profile
[Wed May  5 08:17:23 2010] up2date   File "/usr/sbin/rhnreg_ks", line 371, in ?
    main()
   File "/usr/sbin/rhnreg_ks", line 319, in main
    other = other)
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 456, in registerSystem
    virt_info = get_virt_info_smbios()
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 281, in get_virt_info_smbios
    smbios['smbios.bios.vendor'] = dmi_registry['bios']['vendor']

[Wed May  5 08:17:44 2010] up2date   File "/usr/sbin/rhnreg_ks", line 371, in ?
    main()
   File "/usr/sbin/rhnreg_ks", line 319, in main
    other = other)
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 456, in registerSystem
    virt_info = get_virt_info_smbios()
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 281, in get_virt_info_smbios
    smbios['smbios.bios.vendor'] = dmi_registry['bios']['vendor']

.test.[root@s390x-3as tps]# rpm -q up2date
up2date-4.5.5-14.el3.s390x

.test.[root@s390x-3as tps]# uname -a
Linux s390x-3as.ss.eng.bos.redhat.com 2.4.21-50.EL #1 SMP Tue May 8 17:10:39 EDT 2007 s390x s390x s390x GNU/Linux

Expected results:
no traceback with up2date

Additional info:

Comment 5 Justin Sherrill 2010-05-05 20:33:46 UTC
fixed in commit:

192992.

Comment 7 Petr Sklenar 2010-05-10 12:21:49 UTC
test procedure:
registering against hosted:

old: traceback as in Comment 1
new, up2date-4.5.5-16.el3 on s390x and s390 PASSed

Comment 10 errata-xmlrpc 2010-05-11 08:20:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0407.html


Note You need to log in before you can comment on or make changes to this bug.